Summary:	Graph/hypergraph partitioning and sparse matrix ordering
Name:		scotch_esmumps
Version:	5.1.11
Release:	1
License:	CeCILL-C
Group:		Applications/Library
Source:		scotch_%{version}_esmumps.tar.bz2
Source1:	Makefile.inc
Patch:		scotch-gcc296.patch
URL:		http://gforge.inria.fr/projects/scotch/
BuildRoot:	/var/tmp/%{name}-%{version}-root-%(id -u -n)
BuildArch:	i686 i586 i386 x86_64
BuildRequires:	gcc gzip bzip2 flex bison
# Until Fedora 14, scotch and scotch-devel packages don't include lib*esmumps.so
# which are needed by mumps >= 4.10.0
Obsoletes:	scotch scotch-devel
Provides:	scotch scotch-devel
Prefix:		/usr

%description
Scotch is a software package for graph and mesh/hypergraph partitioning and sparse matrix ordering

%prep
%setup -q -n scotch_%{version}_esmumps
if mpicc --version | grep '2\.96' >/dev/null 2>&1; then
    # the 'restrict' keyword is not correctly handled by gcc-2.96 on LSSC2
    patch -p1 < $RPM_SOURCE_DIR/scotch-gcc296.patch
    cp $RPM_SOURCE_DIR/Makefile.inc-LSSC2 src/Makefile.inc
else
    cp $RPM_SOURCE_DIR/Makefile.inc src/Makefile.inc
fi

%build
(cd src; make scotch ptscotch)

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}
mkdir tmp
cd tmp
for a in ../lib/*.a; do
    ar x $a
    s="`basename $a | sed -e 's/\.a$/\.so/g'`"
    gcc -shared -o $RPM_BUILD_ROOT%{_libdir}/$s *.o
    rm -f *.o 
done
cd ..
rmdir tmp
/bin/cp -pf include/{esmumps.h,*scotch*.h} $RPM_BUILD_ROOT%{_includedir}/.
/bin/chmod -R a+rX $RPM_BUILD_ROOT/.

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc LICENSE_en.txt README.txt doc/CeCILL-C_V1-en.txt doc/scotch_user5.1.pdf doc/ptscotch_user5.1.pdf 
#%doc doc/scotch_example.f
%{_libdir}/lib*.so
%{_includedir}/*.h

%changelog
